/// <reference types="node" />
/// <reference types="node" />
type DownloadFileHandler<T> = (file: string) => Promise<T>;
export declare abstract class BaseFetcher {
    abstract fetch(url: string): Promise<NodeJS.ReadableStream>;
    downloadFile<T>(url: string, maxLength: number, handler: DownloadFileHandler<T>): Promise<T>;
    downloadBytes(url: string, maxLength: number): Promise<Buffer>;
}
export declare class Fetcher extends BaseFetcher {
    private timeout?;
    constructor(timeout?: number);
    fetch(url: string): Promise<NodeJS.ReadableStream>;
}
export {};
